# coding unicode-escape
# Feel free to modify and use this filter however you wish.
# Written by Nyorai (http://www.youtube.com/user/westnyorai)
# Check my site's forum for occasional projects. (http://www.otakuelite.com/forums/Original-Works/f/18.f)
# Special thanks to SethBling
# http://youtube.com/SethBling
# Based on filter movecommandblockcoords.py

import os.path

from pymclevel import TAG_List
from pymclevel import TAG_Byte
from pymclevel import TAG_Int
from pymclevel import TAG_Compound
from pymclevel import TAG_Short
from pymclevel import TAG_Double
from pymclevel import TAG_String

displayName = "Command Block Import"

inputs = (
	("File Name","string"),
)

formatCode = unichr(167)

def perform(level, box, options):
	file_name = options["File Name"]

	if file_name == "Input String Here":
		file_name = "output.txt"

	if file_name.find(".txt") < 0:
		file_name += ".txt"
	
	with open(file_name, "r") as text_file:
    		textarr = text_file.read().split("\n")

	i = 0
	for (chunk, slices, point) in level.getChunkSlices(box):
		for t in chunk.TileEntities:
			x = t["x"].value
			y = t["y"].value
			z = t["z"].value
			
			if x >= box.minx and x < box.maxx and y >= box.miny and y < box.maxy and z >= box.minz and z < box.maxz and t["id"].value == "Control":
				t["Command"] = TAG_String(textarr[i])
				chunk.dirty = True
				i += 1
	